<?php
error_reporting(1);
ini_set('display_errors', 1);
session_start();

require_once "config.php";
/*include_once "../ichat/admin/route.php";
if ($session->is_logged_in() != true ) {
        redirect_to(WEB_LINK.'/login');
} else {
    $current_user = User::get_specific_id($session->admin_id);
    $current_user->set_online();
    $group = $current_user->prvlg_group;
}


require_once("../ichat/admin/assets/includes/Library/SessManager.php");
require_once("../ichat/admin/assets/includes/Library/User.php");
$session = new  SessManager();
*/


require_once 'database.php';
require_once "check_admin.php";
/*if(isset($_SESSION[$elhash]) && $_SESSION[$elhash] != "") { 
    $random_hash = $_SESSION[$elhash];
} else {
    $random_hash = uniqid();
    $_SESSION[$elhash] = $random_hash;
}*/

class Orders extends database
	{
		public function index($page)
		{
			$start = $page - 1;
			return $this->fetchAll('orders', null, 'cl_created_at', 'DESC', ($start * 10), 10);
		}

		public function Device()
		{
			return $this->fetchAll('device');
		}
	}

$msg = '';
if(isset($_GET['message']))
{
	$msg=$_GET['message'];
}

$page = 1;
if(isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page'] > 1)
{
    $page = htmlspecialchars($_GET['page']);
}

$order = new Orders();
$res = $order->index($page);
$dev = $order->Device();
include 'header.php';
?>
            <!-- MAIN CONTENT-->
            <div class="main-content">
                <div class="section__content section__content--p30">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="overview-wrap">
                                    <h2 class="title-1">orders</h2>
                                   
                                </div>
								<?php if($msg !=''){echo '<span class="col-md-6 alert alert-danger pull-left">'.$msg.'</span>';}?>
                            </div>
                        </div>
                        
                        <div class="row m-t-25 m-row">
						<?php
					foreach($res as $od)
					{
					?>
                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-header">
                                        <strong>ORDER: #<?php echo $od['id'];?></strong>
                                        
                                    </div>
                                    <div class="card-body card-block">
                                        <div class="form-group">
                                            <label for="Name" class=" form-control-label">Name</label>
                                            <input type="text" id="Name" placeholder="Name" class="form-control" value="<?php echo htmlspecialchars($od['name']); ?>" readonly />
                                        </div>
                                        <div class="form-group">
                                            <label for="Address" class=" form-control-label">Address</label>
                                            <input type="text" id="Address" placeholder="Address" class="form-control" value="<?php echo htmlspecialchars($od['address']); ?>" readonly />
                                        </div>
                                        <div class="form-group">
                                            <label for="PhoneNumber" class=" form-control-label">Phone Number</label>
                                            <input type="text" id="PhoneNumber" placeholder="Phone Number" class="form-control" value="<?php echo htmlspecialchars($od['phone']); ?>" readonly />
                                        </div>
										<div class="form-group">
                                            <label for="Device" class="form-control-label">Device</label>
                                            <select id="Device" disabled="true" class="form-control" >
												<option>--Device--</option>
											   <?php
												foreach($dev as $d)
												{
												?>
												<option value="<?php echo htmlspecialchars($d['id']); ?>" <?php if($od['device_id'] == $d['id']){echo 'selected';}?>><?php echo htmlspecialchars($d['name']); ?></option>
												<?php
												}
												?>
											</select>
                                        </div>
										 <div class="form-group">
											<label for="Door" class="form-control-label">Door Code</label>
											<input type="text" placeholder="Door Code" id="Door" class="form-control" value="<?php echo htmlspecialchars($od['door_code']); ?>" readonly />
										</div>
										<div class="form-group">
											<label for="City" class="form-control-label">City</label>
											<input type="text" placeholder="City" id="City" class="form-control" value="<?php echo htmlspecialchars($od['city']); ?>" readonly />
										</div>
										<div class="form-group">
											<button type="button" class="btn btn-danger pull-left btn-delete" data-id="<?php echo htmlspecialchars($od['id'])?>" style="margin-top:0px">Delete</button>
											
											<a href="edit-orders.php?id=<?php echo $od['id'];?>" class="edit-btn pull-right">Edit</a>
											<a href="edit-tracking.php?id=<?php echo $od['id'];?>" class="track-btn pull-right">EDIT TRACKING</a>
											<br/>
											<p style="float:left;width:100%"><strong>Status:</strong> <?php if($od['status'] ==1){echo ' Active';} ?></p>
										</div>
                                        
                                        
                                    </div>
                                </div>
                            </div>
                           <?php
					}
						   ?>
						   <div class="pull-right col-xs-12 top-margin">
                         <?php
                        if($page > 1)
                        {
                        ?>
                        <a href="?page=<?php echo htmlspecialchars($page) - 1 ?>" class="track-btn">
                            Previous
                        </a>
                        <?php
                        }
                        if(count($res) == 10)
                        {
                        ?>
                            <a href="?page=<?php echo htmlspecialchars($page) + 1 ?>" class="track-btn">
                                Next
                            </a>
                        <?php
                        }
                        ?>
                    </div>
                        </div>
						
                        
    <script>
    $(document).ready(function(){
        $('.active').removeClass('active');
        $('#orders-menu').addClass('active');
    }); 

    $(document).on('click', '.btn-delete', function(res){
         var conf = confirm("Are you sure you want to delete this order?");
            if(!conf)
            {
                return;
            }
        $(this).attr('disabled', 'disabled').text('Deleting......');

        var current = $(this);
        var id = $(this).attr('data-id');
        var parent = $(this).parents('.order-container').first();
        $.post('order_delete', {id:id}, function(){
            alert('Order Deleted Successfully');
            $(parent).remove();
        },'json').fail(function(xhr){
           alert(xhr.responseJSON);
           $(current).removeAttr('disabled').text('Delete');
        },'json');
    });
</script>                    
                       

  <?php
  include 'footer.php';
  ?>